### Signal

# ECal ComponentBag::removed

since: 3.58

#### Declaration

    void
    removed (
      ECalComponentBag* self,
      ECalComponentBagItem** items,
      gpointer user_data
    )

#### Description [src]

A signal emitted when one or more items are removed from the `bag`. This is not called for e_cal_component_bag_clear().

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.
Signal can be directly emitted on objects from user code
Available since: 3.58

#### Parameters

`items`

  Type: An array of `ECalComponentBagItem*`

  A %GPtrArray with removed `ECalComponentBagItem` structures.

  The data is owned by the caller of the function.